View Issue Details

This bug affects 1 person(s).
 6
IDProjectCategoryView StatusLast Update
16328Bug reportsRemoteControlpublic2022-07-13 16:22
ReporterJmantysalo Assigned Togabrieljenik  
PrioritynormalSeveritytext 
Status closedResolutionfixed 
Product Version5.3.x 
Fixed in Version5.3.x 
Summary16328: invite_participants exits on first error
Description

In the API the function invite_participants ends at the first non-valid participants, for example when a participant token is not yet valid.

Additional Information

I suppose this is because in application/helpers/admin/token_helper.php the function emailTokens() has code

foreach ($aResultTokens as $aTokenRow) {
if (isset($aTokenRow['validfrom']) . . .
'error'=>'Token not valid yet'
break 1;
. . .
}

but it should be 'continue', not 'break'.

TagsNo tags attached.
Bug heat6
Complete LimeSurvey version number (& build)Versio 4.2.4+20052
I will donate to the project if issue is resolvedNo
Browser
Database type & versionN/A
Server OS (if known)
Webserver software & version (if known)
PHP VersionN/A

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

ollehar

ollehar

2020-05-28 17:27

administrator   ~58081

Depends. If you have continue, you have to collect all errors and report them back.

Jmantysalo

Jmantysalo

2020-05-28 18:17

reporter   ~58082

Depends. If you have continue, you have to collect all errors and report them back.

Ah, true. But at the minimun it should be documented that the function stops on first error, where "error" may be a token not yet valid etc. I used some time when looking for error from my own code.

ollehar

ollehar

2020-05-29 10:28

administrator   ~58087

It should. You have the link to its manual page?

Jmantysalo

Jmantysalo

2020-05-29 11:22

reporter   ~58090

Here:

https://api.limesurvey.org/classes/remotecontrol_handle.html#method_invite_participants
https://api.limesurvey.org/classes/remotecontrol_handle.html#method_remind_participants

gabrieljenik

gabrieljenik

2022-04-22 15:19

manager   ~69198

Are these api manual pages updated from the docs in the code, right?

Jmantysalo

Jmantysalo

2022-04-25 07:43

reporter   ~69218

Are these api manual pages updated from the docs in the code, right?

Yes, they come from application/helpers/remotecontrol/remotecontrol_handle.php

gabrieljenik

gabrieljenik

2022-07-05 15:35

manager   ~70738

API doc need to be updated

gabrieljenik

gabrieljenik

2022-07-13 15:47

manager   ~70905

PR: https://github.com/LimeSurvey/LimeSurvey/pull/2508

gabrieljenik

gabrieljenik

2022-07-13 16:21

manager   ~70908

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=33642

Related Changesets

LimeSurvey: master ad902ced

2022-07-13 16:21:46

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 16328: invite_participants exits on first error (#2508)

Co-authored-by: encuestabizdevgit <devgit@encuesta.biz>
Affected Issues
16328
mod - application/helpers/remotecontrol/remotecontrol_handle.php Diff File

Issue History

Date Modified Username Field Change
2020-05-24 20:07 Jmantysalo New Issue
2020-05-28 17:27 ollehar Note Added: 58081
2020-05-28 18:17 Jmantysalo Note Added: 58082
2020-05-29 10:28 ollehar Note Added: 58087
2020-05-29 11:22 Jmantysalo Note Added: 58090
2020-12-28 15:23 cdorin Priority none => normal
2020-12-28 15:23 cdorin Status new => confirmed
2022-04-22 15:19 gabrieljenik Assigned To => gabrieljenik
2022-04-22 15:19 gabrieljenik Status confirmed => assigned
2022-04-22 15:19 gabrieljenik Note Added: 69198
2022-04-22 15:19 gabrieljenik Bug heat 4 => 6
2022-04-25 07:43 Jmantysalo Note Added: 69218
2022-07-05 15:35 gabrieljenik Severity partial_block => text
2022-07-05 15:35 gabrieljenik Product Version 4.2.4 => 5.3.x
2022-07-05 15:35 gabrieljenik Note Added: 70738
2022-07-13 15:47 gabrieljenik Assigned To gabrieljenik => DenisChenu
2022-07-13 15:47 gabrieljenik Status assigned => ready for code review
2022-07-13 15:47 gabrieljenik Note Added: 70905
2022-07-13 16:16 DenisChenu Assigned To DenisChenu => gabrieljenik
2022-07-13 16:16 DenisChenu Status ready for code review => ready for merge
2022-07-13 16:21 gabrieljenik Changeset attached => LimeSurvey master ad902ced
2022-07-13 16:21 gabrieljenik Note Added: 70908
2022-07-13 16:21 gabrieljenik Resolution open => fixed
2022-07-13 16:22 gabrieljenik Status ready for merge => closed
2022-07-13 16:22 gabrieljenik Fixed in Version => 5.3.x